Package org.apache.commons.io.input

# Class ObservableInputStream.Builder

java.lang.Object
org.apache.commons.io.build.AbstractSupplier<ObservableInputStream,ObservableInputStream.Builder>
org.apache.commons.io.build.AbstractOriginSupplier<ObservableInputStream,ObservableInputStream.Builder>
org.apache.commons.io.build.AbstractStreamBuilder<ObservableInputStream,ObservableInputStream.Builder>
org.apache.commons.io.input.ProxyInputStream.AbstractBuilder<ObservableInputStream,ObservableInputStream.Builder>
org.apache.commons.io.input.ObservableInputStream.AbstractBuilder<ObservableInputStream.Builder>
org.apache.commons.io.input.ObservableInputStream.Builder

All Implemented Interfaces:
  `IOSupplier<ObservableInputStream>`

Enclosing class:
  `ObservableInputStream`

public static class ObservableInputStream.Builder extends ObservableInputStream.AbstractBuilder<ObservableInputStream.Builder>
Builds instances of `ObservableInputStream`.

Since:
  2.18.0

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Builder()`
  Constructs a new builder of `ObservableInputStream`.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `ObservableInputStream`
  `get()`
  Gets a result.

  ### Methods inherited from class org.apache.commons.io.input.ObservableInputStream.AbstractBuilder

  `setObservers`

  ### Methods inherited from class org.apache.commons.io.input.ProxyInputStream.AbstractBuilder

  `getAfterRead, setAfterRead`

  ### Methods inherited from class org.apache.commons.io.build.AbstractStreamBuilder

  `getBufferSize, getBufferSizeDefault, getByteArray, getChannel, getCharSequence, getCharset, getCharsetDefault, getFile, getInputStream, getOpenOptions, getOutputStream, getPath, getRandomAccessFile, getReader, getWriter, setBufferSize, setBufferSize, setBufferSizeChecker, setBufferSizeDefault, setBufferSizeMax, setCharset, setCharset, setCharsetDefault, setOpenOptions`

  ### Methods inherited from class org.apache.commons.io.build.AbstractOriginSupplier

  `checkOrigin, getOrigin, hasOrigin, newByteArrayOrigin, newChannelOrigin, newCharSequenceOrigin, newFileOrigin, newFileOrigin, newInputStreamOrigin, newOutputStreamOrigin, newPathOrigin, newPathOrigin, newRandomAccessFileOrigin, newRandomAccessFileOrigin, newReaderOrigin, newURIOrigin, newWriterOrigin, setByteArray, setChannel, setCharSequence, setFile, setFile, setInputStream, setOrigin, setOutputStream, setPath, setPath, setRandomAccessFile, setRandomAccessFile, setReader, setURI, setWriter`

  ### Methods inherited from class org.apache.commons.io.build.AbstractSupplier

  `asThis`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface org.apache.commons.io.function.IOSupplier

  `asSupplier, getUnchecked`

- ## Constructor Details

  - ### Builder

    public Builder()
    Constructs a new builder of `ObservableInputStream`.

- ## Method Details

  - ### get

    public ObservableInputStream get() throws IOException
    Description copied from interface: `IOSupplier`
    Gets a result.
    Returns:
      a result.
    Throws:
      `IOException` - if an I/O error occurs.
    See Also:
      - `IOSupplier.getUnchecked()`